net.corda.core.transactions

## Class SignedTransaction.SignaturesMissingException

- Enclosing class:
    SignedTransaction

      public static class SignedTransaction.SignaturesMissingException
      implements NamedByHash

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignaturesMissingException(java.util.Set<? extends net.corda.core.crypto.CompositeKey> missing, java.util.List<java.lang.String> descriptions, SecureHash id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getDescriptions()`
    `SecureHash` | `getId()`
    `java.util.Set<net.corda.core.crypto.CompositeKey>` | `getMissing()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.NamedByHash

      `getId`

- - ### Constructor Detail

    - #### SignaturesMissingException

          public SignaturesMissingException(java.util.Set<? extends net.corda.core.crypto.CompositeKey> missing,
                                            java.util.List<java.lang.String> descriptions,
                                            SecureHash id)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getMissing

          public java.util.Set<net.corda.core.crypto.CompositeKey> getMissing()

    - #### getDescriptions

          public java.util.List<java.lang.String> getDescriptions()

    - #### getId

          public SecureHash getId()